package com.docus.server.gdszyzh.service;

import java.util.List;

/**
 *
 * @author YongBin Wen
 * @date 2026/4/7 16:28
 */
public interface ReportCollectService {
    /**
     * PACS检查报告采集
     * @param patientIds 患者主键
     */
    void collectPacs(List<String> patientIds);

    /**
     * LIS检验报告采集
     * @param patientIds 患者主键
     */
    void collectLis(List<String> patientIds);
    /**
     * 动态心电血压报告采集
     * @param patientIds 患者主键
     */
    void collectEcg(List<String> patientIds);
    /**
     * 重症报告采集
     * @param patientIds 患者主键
     */
    void collectIcu(List<String> patientIds);
    /**
     * 手麻报告采集
     * @param patientIds 患者主键
     */
    void collectShouMa(List<String> patientIds);
}
